RunBeforeTestClassCallbacks (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.test.context.junit4.statements

## Class RunBeforeTestClassCallbacks

- java.lang.Object
- - org.junit.runners.model.Statement
  - - org.springframework.test.context.junit4.statements.RunBeforeTestClassCallbacks

-     public class RunBeforeTestClassCallbacks
      extends org.junit.runners.model.Statement

  `RunBeforeTestClassCallbacks` is a custom JUnit 4.5+ `Statement` which allows the Spring TestContext Framework to be plugged into the JUnit execution chain by calling `beforeTestClass()` on the supplied `TestContextManager`.
  Since:
    3.0
  Author:
    Sam Brannen
  See Also:
    `evaluate()`, `RunAfterTestMethodCallbacks`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunBeforeTestClassCallbacks(org.junit.runners.model.Statement next, TestContextManager testContextManager)` Constructs a new `RunBeforeTestClassCallbacks` statement.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `evaluate()` Calls `TestContextManager.beforeTestClass()` and then invokes the next `Statement` in the execution chain (typically an instance of `RunBefores`).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RunBeforeTestClassCallbacks

          public RunBeforeTestClassCallbacks(org.junit.runners.model.Statement next,
                                     TestContextManager testContextManager)

      Constructs a new `RunBeforeTestClassCallbacks` statement.
      Parameters:
        `next` - the next `Statement` in the execution chain
        `testContextManager` - the TestContextManager upon which to call `beforeTestClass()`

  - ### Method Detail

    - #### evaluate

          public void evaluate()
                        throws Throwable

      Calls `TestContextManager.beforeTestClass()` and then invokes the next `Statement` in the execution chain (typically an instance of `RunBefores`).
      Specified by:
        `evaluate` in class `org.junit.runners.model.Statement`
      Throws:
        `Throwable`